summaryrefslogtreecommitdiffstats
path: root/abs/core/LinHES-system/system.install
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2012-08-09 21:58:35 (GMT)
committerJames Meyer <james.meyer@operamail.com>2012-08-09 21:58:35 (GMT)
commit0679d85750de6e352a3c79c87ab62ee8a868116d (patch)
tree9d520d97ad9818c1477764f3bf5caf0b6d8dfb8c /abs/core/LinHES-system/system.install
parentaf02ac9e699ac0b9d5802d99fdb069859fef6c0a (diff)
downloadlinhes_pkgbuild-0679d85750de6e352a3c79c87ab62ee8a868116d.zip
linhes_pkgbuild-0679d85750de6e352a3c79c87ab62ee8a868116d.tar.gz
linhes_pkgbuild-0679d85750de6e352a3c79c87ab62ee8a868116d.tar.bz2
linhes-system: removed .install script
Diffstat (limited to 'abs/core/LinHES-system/system.install')
-rw-r--r--abs/core/LinHES-system/system.install104
1 files changed, 104 insertions, 0 deletions
diff --git a/abs/core/LinHES-system/system.install b/abs/core/LinHES-system/system.install
new file mode 100644
index 0000000..c9950f2
--- /dev/null
+++ b/abs/core/LinHES-system/system.install
@@ -0,0 +1,104 @@
+# This is a default template for a post-install scriptlet. You can
+# remove any functions you don't need (and this header).
+
+# arg 1: the new package version
+pre_install() {
+/bin/true
+}
+
+# arg 1: the new package version
+post_install() {
+MVDIR=/usr/LH/bin
+# ln -s $MVDIR/backup_job /etc/cron.daily/backup_cron
+# ln -s $MVDIR/update_system /etc/cron.daily/xupdate_system_cron
+# ln -s $MVDIR/repo_sync.sh /etc/cron.daily/zrepo_sync.sh
+ if [ ! -e /etc/cron.daily/myth_mtc ]
+ then
+ ln -s $MVDIR/myth_mtc.sh /etc/cron.daily/myth_mtc
+ fi
+ if [ -e /etc/cron.daily/myth_mtc.sh ]
+ then
+ rm -f /etc/cron.daily/myth_mtc.sh
+ fi
+#LINE="mythtv ALL = NOPASSWD: /sbin/sv stop mythbackend"
+LINE="mythtv ALL=(ALL) NOPASSWD: ALL"
+LINE1="%wheel ALL=(ALL) NOPASSWD: ALL"
+
+
+for i in "$LINE" "$LINE1" "$LINE2" "$LINE3" "$LINE4" "$LINE5" "$LINE7" "$LINE8" "$LINE9" "$LINE10" "$LINE11" "$LINE12" "$LINE13" "$LINE14" "$LINE15" "$LINE16"
+do
+ cp /etc/sudoers /etc/sudoers.bak
+ grep -q "$i" /etc/sudoers
+ if [ $? != 0 ]
+ then
+ echo "$i" >> /etc/sudoers
+ visudo -cf /etc/sudoers
+ if [ ! $? = 0 ]
+ then
+ cp /etc/sudoers.bak /etc/sudoers
+ echo $i
+ echo "Error adding files"
+ exit 1
+ fi
+ fi
+done
+
+REALTIME="session required pam_limits.so"
+grep -q "pam_limits.so" /etc/pam.d/su
+ if [ $? != 0 ]
+ then
+ echo "$REALTIME" >> /etc/pam.d/su
+
+ fi
+
+# Update mythtv's fluxbox keys files to use the tvterm.sh script to get
+# an xterm. Then signal fluxbox to re-read the keys file.
+
+sed -i.orig 's/^Mod1 x :.*xterm.*$/Mod1 x :ExecCommand tvterm.sh/g' \
+ ~mythtv/.fluxbox/keys
+pkill -HUP fluxbox
+
+
+
+
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+pre_upgrade() {
+ if [ -e /etc/cron.daily/backup_cron ]
+ then
+ rm -f /etc/cron.daily/backup_cron
+ fi
+ if [ -e /etc/cron.daily/xupdate_system_cron ]
+ then
+ rm -f /etc/cron.daily/xupdate_system_cron
+ fi
+
+ if [ -e /etc/cron.daily/myth_mtc.py ]
+ then
+ rm -f /etc/cron.daily/myth_mtc.py
+ fi
+
+
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+post_upgrade() {
+ post_install
+}
+
+# arg 1: the old package version
+pre_remove() {
+ /bin/true
+}
+
+# arg 1: the old package version
+post_remove() {
+ /bin/true
+}
+
+op=$1
+shift
+$op $*